## javax.jbi.management
Interface InstallationServiceMBean

    public interface InstallationServiceMBean

The installation service MBean allows administrative tools to manage component and shared library installations. The tasks supported are:

- Installing (and uninstalling) a shared library
- Creating (loading) and destroying (unloading) a component installer MBean.
- Finding an existing component installer MBean.

Installing and uninstalling components is accomplished using `InstallerMBean`s, loaded by this MBean. An individual installer MBean is needed for each component installation / uninstallation. This is to support the more complex installation process that some components require.

Author:
  JSR208 Expert Group

Method Summary
`java.lang.String` `installSharedLibrary(java.lang.String slZipURL)` Install a shared library installation package.
`javax.management.ObjectName` `loadInstaller(java.lang.String componentName)` Load the InstallerMBean for a previously installed component.
`javax.management.ObjectName` `loadNewInstaller(java.lang.String installZipURL)` Load the installer for a new component for the given component installation package.
`boolean` `uninstallSharedLibrary(java.lang.String slName)` Uninstall a previously installed shared library.
`boolean` `unloadInstaller(java.lang.String componentName, boolean isToBeDeleted)` Unload an InstallerMBean previously loaded for a component.

Method Detail

### loadNewInstaller

    javax.management.ObjectName loadNewInstaller(java.lang.String installZipURL)

  Load the installer for a new component for the given component installation package.

  Parameters:
    `installZipURL` - URL locating a ZIP file containing the JBI Installation package to be installed; must be non-null, non-empty, and a legal URL
  Returns:
    the JMX ObjectName of the InstallerMBean loaded from installZipURL; must be non-null

### loadInstaller

    javax.management.ObjectName loadInstaller(java.lang.String componentName)

  Load the InstallerMBean for a previously installed component.

  The "component name" refers to the `<identification><name>` element value from the component's installation package (see `loadNewInstaller(String)`).

  Parameters:
    `componentName` - the component name identifying the installer to load; must be non-null and non-empty
  Returns:
    the JMX ObjectName of the InstallerMBean loaded from an existing installation context; `null` if the installer MBean doesn't exist

### unloadInstaller

    boolean unloadInstaller(java.lang.String componentName,
                            boolean isToBeDeleted)

  Unload an InstallerMBean previously loaded for a component.

  Parameters:
    `componentName` - the component name identifying the installer to unload; must be non-null and non-empty
    `isToBeDeleted` - `true` if the component is to be deleted as well
  Returns:
    true if the operation was successful, otherwise false

### installSharedLibrary

    java.lang.String installSharedLibrary(java.lang.String slZipURL)

  Install a shared library installation package.

  The return value is the unique name for the shared-library, as found in the the value of the installation descriptor's `<identification><name>` element.

  Parameters:
    `slZipURL` - URL locating a zip file containing a shared library installation package; must be non-null, non-empty, and a legal URL
  Returns:
    the unique name of the shared library loaded from slZipURL; must be non-null and non-empty

### uninstallSharedLibrary

    boolean uninstallSharedLibrary(java.lang.String slName)

  Uninstall a previously installed shared library.

  Parameters:
    `slName` - the name of the shared name space to uninstall; must be non-null and non-empty
  Returns:
    true if the uninstall was successful

${build-info}

${copyright}